Groovy 1.7.0

## org.codehaus.groovy.ast
Class MixinNode

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.ClassNode
                  org.codehaus.groovy.ast.MixinNode

    class MixinNode
    extends ClassNode

Represents a mixin which can be applied to any ClassNode to implement mixins

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`static MixinNode[]` | `EMPTY_ARRAY`

Fields inherited from class ClassNode
clazz, innerClasses, isPrimaryNode, lazyInitLock

Constructor Summary
`MixinNode(String name, int modifiers, ClassNode superType)`
`MixinNode(String name, int modifiers, ClassNode superType, ClassNode[] interfaces)`

Method Summary

Methods inherited from class ClassNode

ClassNode, ClassNode, ClassNode, addConstructor, addConstructor, addField, addField, addFieldFirst, addFieldFirst, addInterface, addMethod, addMethod, addMixin, addObjectInitializerStatements, addProperty, addProperty, addStaticInitializerStatements, addSyntheticMethod, addTransform, declaresInterface, equals, getAbstractMethods, getAllDeclaredMethods, getAllInterfaces, getAnnotations, getAnnotations, getCompileUnit, getComponentType, getDeclaredConstructors, getDeclaredField, getDeclaredMethod, getDeclaredMethods, getDeclaredMethodsMap, getEnclosingMethod, getField, getFields, getGenericsTypes, getGetterMethod, getInnerClasses, getInterfaces, getMethod, getMethods, getMethods, getMixins, getModifiers, getModule, getName, getNameWithoutPackage, getObjectInitializerStatements, getOuterClass, getOuterField, getPackage, getPackageName, getPlainNodeReference, getProperties, getProperty, getSetterMethod, getSuperClass, getTransforms, getTypeClass, getUnresolvedInterfaces, getUnresolvedInterfaces, getUnresolvedName, getUnresolvedSuperClass, getUnresolvedSuperClass, hasDeclaredMethod, hasMethod, hasPackageName, hasPossibleMethod, hasPossibleStaticMethod, hasProperty, hashCode, implementsInterface, isAnnotated, isAnnotationDefinition, isArray, isDerivedFrom, isDerivedFromGroovyObject, isEnum, isGenericsPlaceHolder, isInterface, isPrimaryClassNode, isResolved, isScript, isScriptBody, isStaticClass, isUsingGenerics, makeArray, parametersEqual, positionStmtsAfterEnumInitStmts, redirect, renameField, setAnnotated, setCompileUnit, setEnclosingMethod, setGenericsPlaceHolder, setGenericsTypes, setInterfaces, setModifiers, setModule, setName, setRedirect, setScript, setScriptBody, setStaticClass, setSuperClass, setUnresolvedSuperClass, setUsingGenerics, toString, tryFindPossibleMethod, visitContents

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, isSynthetic, setDeclaringClass, setSynthetic

Methods inherited from class ASTNode
getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### EMPTY_ARRAY

    static final MixinNode[] EMPTY_ARRAY

Constructor Detail

### MixinNode

    public MixinNode(String name, int modifiers, ClassNode superType)

  param:
    name is the full name of the class
  param:
    modifiers the modifiers, @see org.objectweb.asm.Opcodes
  param:
    superType the base class name - use "java.lang.Object" if no direct base class

### MixinNode

    public MixinNode(String name, int modifiers, ClassNode superType, ClassNode[] interfaces)

  param:
    name is the full name of the class
  param:
    modifiers the modifiers, @see org.objectweb.asm.Opcodes
  param:
    superType the base class name - use "java.lang.Object" if no direct base class

Copyright © 2003-2009 The Codehaus. All rights reserved.